#include "vendor.h"
#include <condition_variable>
#include <cstdio>
#include <fstream>
#include <functional>
#include <getopt.h>
#include <iostream>
#include <memory>
#include <mutex>
#include <sstream>
#include <string.h>
#include <string>
#include <sys/stat.h>
#include <sys/time.h>
#include <thread>
#include <unistd.h>
#include <vector>

int main(int argc, char *argv[])
{
    vendor::VendorBase *vdor = new Vendor();
    vendor::VendorBase::ParseOptionArgs(vdor, argc, argv);
    return vdor->Run();
}